> For the complete documentation index, see [llms.txt](https://docs.hex-rays.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hex-rays.com/core/user-interface/reference/menu-bar-actions/common-actions-6.md).

# Windows

Below is an overview of all actions that can be accessed from this menu.

| UI Action Name                                                  | Action Name           | Description                                                                                                                                                            |
| --------------------------------------------------------------- | --------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Load desktop...](/ida-actions/loaddesktop.md)                  | `LoadDesktop`         | This commands show all available desktops (stored in the database or in the registry).                                                                                 |
| [Save desktop...](/ida-actions/savedesktop.md)                  | `SaveDesktop`         | This command saves the current desktop configuration to a desktop.                                                                                                     |
| [Delete desktop...](/ida-actions/deletedesktop.md)              | `DeleteDesktop`       | This command deletes a desktop containing a desktop configuration.                                                                                                     |
| [Reset desktop](/ida-actions/resetdesktop.md)                   | `ResetDesktop`        | This command resets all windows (IDA main window and database windows) by loading the original IDA disassembly desktop or debugger desktop(if the debugger is active). |
| [Reset hidden messages...](/ida-actions/resethiddenmessages.md) | `ResetHiddenMessages` | Reset hidden messages                                                                                                                                                  |
| [Windows list](/ida-actions/windowslist.md)                     | `WindowsList`         | Display list of the currently open windows                                                                                                                             |
| [Next window](/ida-actions/nextwindow.md)                       | `NextWindow`          | Switch to the next window                                                                                                                                              |
| [Previous window](/ida-actions/prevwindow.md)                   | `PrevWindow`          | Switch to the previous window                                                                                                                                          |
| [Close window](/ida-actions/closewindow.md)                     | `CloseWindow`         | Close the current window                                                                                                                                               |
| [Focus command line](/ida-actions/focuscli2.md)                 | `FocusCLI2`           | Focus command line                                                                                                                                                     |
| [Output window](/ida-actions/outputwindow.md)                   | `OutputWindow`        | Display the output window if hidden. The **Output window** appears at the bottom of IDA's interface by default and serves two key purposes:                            |
| [Functions](/ida-actions/windowactivate1.md)                    | `WindowActivate1`     | Functions                                                                                                                                                              |
| [IDA View-A](/ida-actions/windowactivate2.md)                   | `WindowActivate2`     | IDA View-A                                                                                                                                                             |
| [xrefs: main](/ida-actions/windowactivate3.md)                  | `WindowActivate3`     | Pseudocode-A                                                                                                                                                           |
| [Microcode-A](/ida-actions/windowactivate4.md)                  | `WindowActivate4`     | Hex View-1                                                                                                                                                             |
| [Pseudocode-A](/ida-actions/windowactivate5.md)                 | `WindowActivate5`     | Local Types                                                                                                                                                            |
| [Hex View-1](/ida-actions/windowactivate6.md)                   | `WindowActivate6`     | Imports                                                                                                                                                                |
| [Local Types](/ida-actions/windowactivate7.md)                  | `WindowActivate7`     | Exports                                                                                                                                                                |
| [Imports](/ida-actions/windowactivate8.md)                      | `WindowActivate8`     | Switch to window #8                                                                                                                                                    |
| [Exports](/ida-actions/windowactivate9.md)                      | `WindowActivate9`     | Switch to window #9                                                                                                                                                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hex-rays.com/core/user-interface/reference/menu-bar-actions/common-actions-6.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
